%define version 0.8.2
%define release 1mdk

Summary:	Web page link validation program
Name:		gurlchecker
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://www.nongnu.org/gurlchecker/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://labs.libre-entreprise.org/download/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	ImageMagick

%description
gURLChecker is a graphical web link checker. It can work on a whole
site, a single local page or a browser bookmarks file.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Web page link checker" \
 needs="x11" \
 section="Internet/Other" \
 title="gURLChecker" \
 startup_notify="true"
_EOF_

#icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_liconsdir} \
	 %{buildroot}%{_miconsdir}
convert -geometry 48x48 ui/%{name}_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/%{name}_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/%{name}_icon.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.8.2-1mdk
- 0.8.2

* Sun Apr 03 2005 Abel Cheung <deaddog@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Sat Apr 03 2004 Abel Cheung <deaddog@deaddog.org> 0.6.7-1mdk
- New version

* Sat Mar 13 2004 Abel Cheung <deaddog@deaddog.org> 0.6.6-1mdk
- New version

* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 0.6.5-1mdk
- New version

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu entry

* Sun Jan 25 2004 Abel Cheung <deaddog@deaddog.org> 0.6.4-1mdk
- 0.6.4

* Tue Nov 18 2003 Abel Cheung <deaddog@deaddog.org> 0.6.3-1mdk
- 0.6.3

* Tue Sep 16 2003 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- First Mandrake package
